Bug 1569504 - Host has time-drift of 19819 seconds while maximum configured value is 300 seconds
Summary: Host has time-drift of 19819 seconds while maximum configured value is 300 se...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: ovirt-node
Classification: oVirt
Component: General
Version: 4.2
Hardware: x86_64
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.4
: ---
Assignee: Ryan Barry
QA Contact: Yihui Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 12:16 UTC by Arghya Adhya
Modified: 2018-04-25 12:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-25 12:14:58 UTC
oVirt Team: Node
rule-engine: ovirt-4.2?
cshao: testing_plan_complete?
cshao: testing_ack?


Attachments (Terms of Use)

Description Arghya Adhya 2018-04-19 12:16:38 UTC
Description of problem:

Host has time-drift of 19819 seconds while maximum configured value is 300 seconds

Version-Release number of selected component (if applicable):

Version 4.2.2.6-1.el7.centos


Warning showing in UI.

Comment 1 Ryan Barry 2018-04-19 12:22:45 UTC
Is chrony configured? Was time synchronized?

Very large drifts can require manual intervention to resolve (on Linux in general), and synchronization works properly after that.

I've never asked ntp/chrony engineers about this, but it is definitely intentional that intervention is required.

Comment 2 Arghya Adhya 2018-04-20 05:17:36 UTC
chrony is configured and time is synced. But still warning is showing

Comment 3 Sandro Bonazzola 2018-04-20 15:14:55 UTC
Please cross check time synchronization is properly configured.
See https://docs.fedoraproject.org/f27/system-administrators-guide/basic-system-configuration/Configuring_the_Date_and_Time.html#sect-Configuring_the_Date_and_Time-timedatectl-NTP

and https://docs.fedoraproject.org/f27/system-administrators-guide/servers/Configuring_NTP_Using_the_chrony_Suite.html

as referenced in https://ovirt.org/documentation/install-guide/chap-Introduction_to_oVirt/

In comment #2 you say time is synced but you still see the warning in description "Host has time-drift of 19819 seconds while maximum configured value is 300 seconds"

Can you provide a screenshot of the warning and a full sos report from that host?

Comment 4 Arghya Adhya 2018-04-25 12:14:58 UTC
Thinks for your help, I configured chrony properly. It solve the issue.


Note You need to log in before you can comment on or make changes to this bug.